Package: org.apache.groovy.groovysh.util

## [Groovy] Class ScriptVariableAnalyzer.VisitorClassLoader

- org.apache.groovy.groovysh.util.ScriptVariableAnalyzer.VisitorClassLoader

-     static class ScriptVariableAnalyzer.VisitorClassLoader
      extends GroovyClassLoader

  class loader to add our phase operation

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `GroovyClassVisitor` | `visitor`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `VisitorClassLoader(GroovyClassVisitor visitor, ClassLoader parent)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected CompilationUnit` | `createCompilationUnit(CompilerConfiguration config, CodeSource source)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GroovyClassLoader` | `loadClass, loadClass, loadClass, defineClass, defineClass, close, addURL, clearCache, addClasspath, getResourceLoader, generateScriptName, getLoadedClasses, setShouldRecompile, isShouldRecompile, hasCompatibleConfiguration, parseClass, parseClass, parseClass, parseClass, parseClass, parseClass, setResourceLoader, newInstance, newInstance, findResource, getResourceAsStream, findResources, getURLs, getName, getPlatformClassLoader, getSystemClassLoader, getSystemResourceAsStream, getSystemResource, getResource, getResources, getDefinedPackage, resources, isRegisteredAsParallelCapable, getSystemResources, getParent, getUnnamedModule, getDefinedPackages, setDefaultAssertionStatus, setPackageAssertionStatus, setClassAssertionStatus, clearAssertionStatus, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### final GroovyClassVisitor visitor

  - ### Constructor Detail

    - #### VisitorClassLoader(GroovyClassVisitor visitor, ClassLoader parent)

  - ### Method Detail

    - #### @Override protected CompilationUnit createCompilationUnit(CompilerConfiguration config, CodeSource source)